## GFBGraphSimpleAuthorizer GFBGraphSimpleAuthorizer — GFBGraph simple authorization interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GFBGraphSimpleAuthorizer * | gfbgraph_simple_authorizer_new ()

## Properties

gchar * | access-token | Read / Write

## Types and Values

struct | GFBGraphSimpleAuthorizer
struct | GFBGraphSimpleAuthorizerClass

## Object Hierarchy

        GObject
        ╰── GFBGraphSimpleAuthorizer

## Implemented Interfaces

GFBGraphSimpleAuthorizer implements GFBGraphAuthorizer.

## Includes

    #include <gfbgraph/gfbgraph-simple-authorizer.h>

## Description

GFBGraphSimpleAuthorizer provides an implementation of the GFBGraphAuthorizer interface for authorization using a access token provided in creation time, no refresh, just a simple authorizer for test purposes, don't use in final code.

## Functions

### gfbgraph_simple_authorizer_new ()

    GFBGraphSimpleAuthorizer *
    gfbgraph_simple_authorizer_new (const gchar *access_token);

Creates a new GFBGraphAuthorizer to use with the GFBGraph library using the `access_token` as access token. It's only a test authorizer, don't use in final code.

#### Parameters

access_token | a const `gchar` . |

#### Returns

a GFBGraphSimpleAuthorizer.

[transfer full]

## Types and Values

### struct GFBGraphSimpleAuthorizer

    struct GFBGraphSimpleAuthorizer;

### struct GFBGraphSimpleAuthorizerClass

    struct GFBGraphSimpleAuthorizerClass {
            GObjectClass parent_class;
    };

## Property Details

### The `“access-token”` property

      “access-token”             gchar *

The access token for the Facebook Graph API.

Flags: Read / Write

Default value: ""